> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Consent

> Getting your Banks with Flick 



## OpenAPI

````yaml /openapi/financial-data.json post /merchant/create-bvn-lookup-link
openapi: 3.0.2
info:
  title: Flick Financial Data API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Account LookUp
    description: Getting Accounts from Banks
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Credit Report
    description: Getting Credit Report of Bank
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/create-bvn-lookup-link:
    post:
      tags:
        - Account LookUp
      summary: Consent
      description: 'Getting your Banks with Flick '
      operationId: initializing consent for banks
      requestBody:
        description: Getting your Flick banks lookup
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Consent'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsentResponse'
        '400':
          description: Error loggin in, please check your login details and try again
        '403':
          description: Unauthroized Access
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Consent:
      required:
        - pageName
        - webhookUrl
        - redirectLink
      type: object
      properties:
        pageName:
          type: string
          example: Kingsley Flick
        webhookUrl:
          type: string
          example: https://merchant.getflick.co/
        redirectLink:
          type: string
          example: https://merchant.getflick.co/
    ConsentResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Operation successful
        data:
          type: object
          properties:
            pageId:
              type: string
              example: OpAhO1MxZVNt
            link:
              type: string
              example: https://bvn-accoount-lookup-499718.app/pages/OpAhO1MxZVNt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.